.photo-gallery {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    padding: 20px;
    justify-content: center;
}

.photo-album {
    width: 200px;
    text-align: center;
    background-color: #fff;
    padding: 10px;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.2s, box-shadow 0.2s;
}

.photo-album a {
    color: #4D4D4D;
    text-decoration: none !important;
}

.photo-album:hover {
    transform: scale(1.05);
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.15);
}

.photo-album img {
    width: 100%;
    height: auto;
    border-radius: 8px;
    margin-bottom: 10px;
    cursor: pointer;
}

.photo-album p {
    margin: 0;
    font-size: 14px;
    color: #4D4D4D;
    font-weight: bold;
}

.photos-page-title {
    text-align: center;
    color: #527BB2;
    font-size: 1.25rem;
    margin: 1rem 0;
}

@media (max-width: 600px) {
    .photo-album {
        width: 90%;
    }
}
